unit mainwin;

{Delphi32 Sample Source Code for ActiveBarcode
 Shows the usage of the Schenk & Horn BARCODE.OCX
 Copyright 1997 by Schenk & Horn

 For questions to THIS source code please e-mail to horn@sharedirect.com}

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, OleCtrls, BARCODELib_TLB, ExtCtrls, Clipbrd;

{ The BARCODELib_TLB Unit is generated if you add the BARCODE.OCX to the Delphi
  components. }


type
  TMainWindow = class(TForm)
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    Code: TEdit;
    Label4: TLabel;
    Checksum: TEdit;
    SelectBackColorButton: TButton;
    SelectForeColorButton: TButton;
    FontSelectButton: TButton;
    Button4: TButton;
    FontDialog1: TFontDialog;
    ColorDialog1: TColorDialog;
    BarcodeListBox: TListBox;
    ShowBarcode: TCheckBox;
    PrintButton: TButton;
    TextAddButton: TButton;
    BrowsePropButton: TButton;
    Barcode1: TBarcode;
    CopyMetaButton: TButton;
    CopyBMPButton: TButton;
    Image1: TImage;
    procedure Button4Click(Sender: TObject);
    procedure CodeChange(Sender: TObject);
    procedure FontSelectButtonClick(Sender: TObject);
    procedure SelectForeColorButtonClick(Sender: TObject);
    procedure SelectBackColorButtonClick(Sender: TObject);
    procedure BarcodeListBoxClick(Sender: TObject);
    procedure Barcode1TextChange(Sender: TObject; const Text: WideString);
    procedure ShowBarcodeClick(Sender: TObject);
    procedure PrintButtonClick(Sender: TObject);
    procedure TextAddButtonClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure BrowsePropButtonClick(Sender: TObject);
    procedure CopyMetaButtonClick(Sender: TObject);
    procedure CopyBMPButtonClick(Sender: TObject);
  private
    { Private-Deklarationen }
  public
    { Public-Deklarationen }
  end;

var
  MainWindow: TMainWindow;

implementation

{$R *.DFM}

procedure TMainWindow.Button4Click(Sender: TObject);
begin
  {This method displays the about dialogbox on the screen}
  Barcode1.AboutBox;
end;

procedure TMainWindow.CodeChange(Sender: TObject);
begin
{  If Length(Code.text) > 0 then}
    Barcode1.Text := Code.Text;
end;

procedure TMainWindow.FontSelectButtonClick(Sender: TObject);
begin
  FontDialog1.Font := Barcode1.Font;
  if FontDialog1.Execute then
    Barcode1.font := FontDialog1.Font;
end;

procedure TMainWindow.SelectForeColorButtonClick(Sender: TObject);
begin
  ColorDialog1.Color := Barcode1.ForeColor;
  if ColorDialog1.Execute then
    Barcode1.ForeColor := ColorDialog1.Color;
end;

procedure TMainWindow.SelectBackColorButtonClick(Sender: TObject);
begin
  ColorDialog1.Color := Barcode1.BackColor;
  if ColorDialog1.Execute then
    Barcode1.BackColor := ColorDialog1.Color;
end;

procedure TMainWindow.BarcodeListBoxClick(Sender: TObject);
begin
  Barcode1.Typename := BarcodeListBox.Items[BarcodeListBox.ItemIndex];
end;

procedure TMainWindow.Barcode1TextChange(Sender: TObject;
  const Text: WideString);
begin
  CheckSum.Text := IntToStr(Barcode1.Checksum);
end;

procedure TMainWindow.ShowBarcodeClick(Sender: TObject);
begin
  Barcode1.ShowText := SHowBarcode.Checked;
end;

procedure TMainWindow.PrintButtonClick(Sender: TObject);
begin
  MainWindow.Print;
end;

procedure TMainWindow.TextAddButtonClick(Sender: TObject);
var nr     : REAL;
    result : Integer;
    i      : BYTE;
begin
  VAL(Code.text, nr, result);
  for i := 1 to 5 do
    begin
      nr := nr +1;
      Code.text := FloatToStr(nr);
    end;
end;

procedure TMainWindow.FormCreate(Sender: TObject);
begin
  Code.text := Barcode1.text;
  ShowBarcode.Checked := Barcode1.ShowText;
  BarcodeListbox.ItemIndex := 6;
end;

procedure TMainWindow.BrowsePropButtonClick(Sender: TObject);
begin
  Barcode1.Browseproperties;
end;

procedure TMainWindow.CopyMetaButtonClick(Sender: TObject);
begin
  Barcode1.CopyToClipboard;
end;

procedure TMainWindow.CopyBMPButtonClick(Sender: TObject);
begin
   Image1.Picture.Bitmap.Height := Barcode1.Height;
   Image1.Picture.Bitmap.Width := Barcode1.Width;
   Image1.Picture.Bitmap.Canvas.Draw(0,0,Barcode1.Picture.graphic);
   Clipboard.Assign(Image1.Picture.Bitmap);
end;

end.
